/* ================== Projects page ================== */
.filter {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    margin: auto;
}

.filter ul {
    list-style-type: none;
    padding: 0;
    text-align: center;
}

.filter ul li {
    display: inline-block;
    padding: 10px;
}

.filter a {
    padding: 6px 12px;
    color: #ffffff;
    text-decoration: none;
    border: 1px solid #9F90FD;
    border-radius: 5px;
    cursor: pointer;
}

@media (max-width: 768px) {
    .filter a {
        padding: 5px;
    }
}

#filter-image {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 20px;
}

.image-items {
    display: none;
    width: 200px;
    height: auto;
    margin: 10px;
    cursor: pointer;
    transition: transform 0.3s ease;
    position: relative;
}

.image-items:hover {
    transform: scale(1.1);
}

.image-items img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.image-items .title {
    position: absolute;
    top: 10px;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    color: #ffffff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7);
    background: rgba(0, 0, 0, 0.5);
    padding: 5px 0;
}

.lightbox-modal {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
    animation: fadeIn 0.3s ease;
}

.lightbox-modal img {
    max-width: 80%;
    max-height: 80%;
    margin: auto;
    animation: zoomIn 0.5s ease;
}

.close {
    position: absolute;
    top: 20px;
    right: 20px;
    font-size: 2rem;
    color: #ffffff;
    cursor: pointer;
}

/* Animations */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes zoomIn {
    0% {
        transform: scale(0.8);
    }

    100% {
        transform: scale(1);
    }
}